Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.context
Class ViewModelContextFactory

    java.lang.Object
      org.eclipse.emf.ecp.view.spi.context.ViewModelContextFactory

    public final class ViewModelContextFactory

extends Object

This Factory can be used to instantiate `ViewModelContexts`.

Since:
  1.2
Author:
  Eugen Neufeld

Field Summary
`static ViewModelContextFactory` | `INSTANCE` The singleton instance of the factory.

Method Summary
`ViewModelContext` | `createViewModelContext(VElement view, org.eclipse.emf.ecore.EObject domainObject)` Instantiates a new view model context.
`ViewModelContext` | `createViewModelContext(VElement view, org.eclipse.emf.ecore.EObject domainObject, ViewModelService... modelServices)` Instantiates a new view model context with specific services.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ViewModelContextFactory INSTANCE

  The singleton instance of the factory.

Method Detail

### createViewModelContext

    public ViewModelContext createViewModelContext(VElement view,
                                                   org.eclipse.emf.ecore.EObject domainObject)

  Instantiates a new view model context.

  Parameters:
    `view` - the view
    `domainObject` - the domain object
  Returns:
    the created `ViewModelContext`

### createViewModelContext

    public ViewModelContext createViewModelContext(VElement view,
                                                   org.eclipse.emf.ecore.EObject domainObject,
                                                   ViewModelService... modelServices)

  Instantiates a new view model context with specific services.

  Parameters:
    `view` - the view
    `domainObject` - the domain object
    `modelServices` - an array of services to use in the `ViewModelContext`
  Returns:
    the created `ViewModelContext`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.